aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.mvn/extensions.xml8
-rw-r--r--.mvn/wrapper/maven-wrapper.jarbin0 -> 49502 bytes
-rw-r--r--.mvn/wrapper/maven-wrapper.properties1
-rwxr-xr-xmvnw234
-rw-r--r--mvnw.bat177
-rw-r--r--pom.yml335
6 files changed, 755 insertions, 0 deletions
diff --git a/.mvn/extensions.xml b/.mvn/extensions.xml
new file mode 100644
index 00000000..07a156db
--- /dev/null
+++ b/.mvn/extensions.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<extensions>
+ <extension>
+ <groupId>io.takari.polyglot</groupId>
+ <artifactId>polyglot-yaml</artifactId>
+ <version>0.1.11</version>
+ </extension>
+</extensions>
diff --git a/.mvn/wrapper/maven-wrapper.jar b/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 00000000..5fd4d502
--- /dev/null
+++ b/.mvn/wrapper/maven-wrapper.jar
Binary files differ
diff --git a/.mvn/wrapper/maven-wrapper.properties b/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 00000000..ac516e2f
--- /dev/null
+++ b/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1 @@
+distributionUrl=https://repo1.maven.org/maven2/org/apache/maven/apache-maven/3.3.1/apache-maven-3.3.1-bin.zip \ No newline at end of file
diff --git a/mvnw b/mvnw
new file mode 100755
index 00000000..c67cd417
--- /dev/null
+++ b/mvnw
@@ -0,0 +1,234 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ #
+ # Look for the Apple JDKs first to preserve the existing behaviour, and then look
+ # for the new JDKs provided by Oracle.
+ #
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Java/JavaVirtualMachines/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L "/Library/Java/JavaVirtualMachines/CurrentJDK" ] ; then
+ #
+ # Oracle JDKs
+ #
+ export JAVA_HOME=/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -x "/usr/libexec/java_home" ]; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=`/usr/libexec/java_home`
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+fi
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+ local basedir=$(pwd)
+ local wdir=$(pwd)
+ while [ "$wdir" != '/' ] ; do
+ wdir=$(cd "$wdir/.."; pwd)
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-$(find_maven_basedir)}
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "./.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} "$@"
+
diff --git a/mvnw.bat b/mvnw.bat
new file mode 100644
index 00000000..7ca42b99
--- /dev/null
+++ b/mvnw.bat
@@ -0,0 +1,177 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto chkMHome
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:chkMHome
+if not "%M2_HOME%"=="" goto valMHome
+
+SET "M2_HOME=%~dp0.."
+if not "%M2_HOME%"=="" goto valMHome
+
+echo.
+echo Error: M2_HOME not found in your environment. >&2
+echo Please set the M2_HOME variable in your environment to match the >&2
+echo location of the Maven installation. >&2
+echo.
+goto error
+
+:valMHome
+
+:stripMHome
+if not "_%M2_HOME:~-1%"=="_\" goto checkMCmd
+set "M2_HOME=%M2_HOME:~0,-1%"
+goto stripMHome
+
+:checkMCmd
+if exist "%M2_HOME%\bin\mvn.cmd" goto init
+
+echo.
+echo Error: M2_HOME is set to an invalid directory. >&2
+echo M2_HOME = "%M2_HOME%" >&2
+echo Please set the M2_HOME variable in your environment to match the >&2
+echo location of the Maven installation >&2
+echo.
+goto error
+@REM ==== END VALIDATION ====
+
+:init
+
+set MAVEN_CMD_LINE_ARGS=%*
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+for %%i in ("%M2_HOME%"\boot\plexus-classworlds-*) do set CLASSWORLDS_JAR="%%i"
+
+set WRAPPER_JAR="".\.mvn\wrapper\maven-wrapper.jar""
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.home=%M2_HOME%" "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CMD_LINE_ARGS%
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/pom.yml b/pom.yml
new file mode 100644
index 00000000..213e7421
--- /dev/null
+++ b/pom.yml
@@ -0,0 +1,335 @@
+artifactId: snakeyaml
+build:
+ pluginManagement:
+ plugins:
+ - {artifactId: maven-site-plugin, extensions: false, groupId: org.apache.maven.plugins,
+ inherited: true, version: '3.4'}
+ plugins:
+ - artifactId: maven-compiler-plugin
+ configuration: {source: '1.5', target: '1.5', encoding: '${project.build.sourceEncoding}'}
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '3.3'
+ - artifactId: maven-surefire-plugin
+ configuration:
+ argLine: -Xmx512m
+ includes: {include: '**/*Test.java'}
+ excludes: {exclude: '**/ParallelTest.java'}
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: 2.18.1
+ - artifactId: maven-eclipse-plugin
+ configuration: {buildOutputDirectory: bin}
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '2.10'
+ - artifactId: cobertura-maven-plugin
+ configuration:
+ check: {totalBranchRate: '80', totalLineRate: '95'}
+ formats: {format: xml}
+ instrumentation:
+ excludes: {exclude: org/yaml/snakeyaml/external/**}
+ executions:
+ - goals: [clean, check]
+ id: default
+ inherited: true
+ priority: 0
+ extensions: false
+ groupId: org.codehaus.mojo
+ inherited: true
+ version: '2.7'
+ - artifactId: maven-changes-plugin
+ executions:
+ - configuration: {failOnError: 'true'}
+ goals: [changes-validate]
+ id: validate-changes
+ inherited: true
+ phase: pre-site
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '2.11'
+ - artifactId: maven-source-plugin
+ executions:
+ - goals: [jar]
+ id: default
+ inherited: true
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '2.4'
+ - artifactId: maven-javadoc-plugin
+ configuration:
+ links: {link: 'http://java.sun.com/javase/6/docs/api/'}
+ executions:
+ - goals: [jar]
+ id: attach-javadocs
+ inherited: true
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: 2.10.3
+ - artifactId: maven-license-plugin
+ configuration:
+ header: src/etc/header.txt
+ quiet: 'false'
+ failIfMissing: 'true'
+ aggregate: 'false'
+ includes: {include: src/**/*.java}
+ excludes: {exclude: src/main/java/org/yaml/snakeyaml/external/**}
+ useDefaultExcludes: 'true'
+ useDefaultMapping: 'true'
+ strictCheck: 'true'
+ encoding: UTF-8
+ executions:
+ - goals: [format]
+ id: default
+ inherited: true
+ phase: site
+ priority: 0
+ extensions: false
+ groupId: com.mycila.maven-license-plugin
+ inherited: true
+ version: 1.10.b1
+ - artifactId: maven-bundle-plugin
+ configuration:
+ instructions: {_nouses: 'true', Export-Package: "!org.yaml.snakeyaml.external*,\n\
+ \ org.yaml.snakeyaml.*;version=${project.version}",
+ Bundle-RequiredExecutionEnvironment: J2SE-1.5}
+ extensions: true
+ groupId: org.apache.felix
+ inherited: true
+ version: 2.5.4
+ - artifactId: maven-site-plugin
+ executions:
+ - goals: [attach-descriptor]
+ id: attach-descriptor
+ inherited: true
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '3.4'
+dependencies:
+- {artifactId: junit, groupId: junit, optional: false, scope: test, type: jar, version: '4.12'}
+- {artifactId: spring, groupId: org.springframework, optional: false, scope: test,
+ type: jar, version: 2.5.6}
+- {artifactId: velocity, groupId: org.apache.velocity, optional: false, scope: test,
+ type: jar, version: 1.6.2}
+- {artifactId: joda-time, groupId: joda-time, optional: false, scope: test, type: jar,
+ version: '1.6'}
+description: YAML 1.1 parser and emitter for Java
+developers:
+- {email: public.somov@gmail.com, id: asomov, name: Andrey Somov}
+- {email: alexander.maslov@gmail.com, id: maslovalex, name: Alexander Maslov}
+- {email: jordanangold@gmail.com, id: Jordan, name: Jordan Angold}
+distributionManagement:
+ repository: {id: sonatype-nexus-staging, layout: default, name: Nexus Release Repository,
+ uniqueVersion: true, url: 'https://oss.sonatype.org/service/local/staging/deploy/maven2/'}
+ snapshotRepository: {id: sonatype-nexus-snapshots, layout: default, name: Sonatype Nexus Snapshots,
+ uniqueVersion: false, url: 'https://oss.sonatype.org/content/repositories/snapshots/'}
+groupId: org.yaml
+inceptionYear: '2008'
+issueManagement: {system: Bitbucket, url: 'https://bitbucket.org/asomov/snakeyaml/issues'}
+licenses:
+- {distribution: repo, name: 'Apache License, Version 2.0', url: 'http://www.apache.org/licenses/LICENSE-2.0.txt'}
+mailingLists:
+- {name: SnakeYAML developers and users List, post: snakeyaml-core@googlegroups.com}
+modelVersion: 4.0.0
+name: SnakeYAML
+packaging: bundle
+prerequisites: {maven: 3.0.5}
+profiles:
+- activation: {activeByDefault: false, jdk: '[1.8,)'}
+ build:
+ plugins:
+ - artifactId: maven-javadoc-plugin
+ configuration: {additionalparam: '-Xdoclint:none'}
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ - artifactId: maven-site-plugin
+ configuration:
+ reportPlugins:
+ plugin:
+ groupId: org.apache.maven.plugins
+ artifactId: maven-javadoc-plugin
+ configuration: {additionalparam: '-Xdoclint:none'}
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ id: jdk8
+ source: pom
+- activation:
+ activeByDefault: false
+ property: {name: performRelease, value: 'true'}
+ build:
+ plugins:
+ - artifactId: maven-gpg-plugin
+ executions:
+ - goals: [sign]
+ id: sign-artifacts
+ inherited: true
+ phase: verify
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '1.6'
+ id: release
+ source: pom
+- build:
+ plugins:
+ - {artifactId: findbugs-maven-plugin, extensions: false, groupId: org.codehaus.mojo,
+ inherited: true, version: 3.0.2}
+ - {artifactId: maven-pmd-plugin, extensions: false, groupId: org.apache.maven.plugins,
+ inherited: true, version: '3.5'}
+ id: findbugs
+ reporting:
+ excludeDefaults: false
+ plugins:
+ - {artifactId: maven-jxr-plugin, groupId: org.apache.maven.plugins, inherited: true,
+ version: '2.5'}
+ - {artifactId: findbugs-maven-plugin, groupId: org.codehaus.mojo, inherited: true,
+ version: 3.0.0}
+ - artifactId: maven-pmd-plugin
+ configuration:
+ linkXref: 'true'
+ sourceEncoding: utf-8
+ minimumTokens: '100'
+ targetJdk: '1.5'
+ excludes: {exclude: '**/external/*.java'}
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '3.4'
+ source: pom
+- build:
+ plugins:
+ - artifactId: maven-resources-plugin
+ executions:
+ - configuration:
+ outputDirectory: ${android.src}
+ resources:
+ resource:
+ directory: ${basedir}/src/main/java
+ filtering: 'false'
+ excludes: {exclude: org/yaml/snakeyaml/introspector/MethodProperty.java}
+ goals: [copy-resources]
+ id: copy-src-for-android
+ inherited: true
+ phase: generate-sources
+ priority: 0
+ - configuration:
+ outputDirectory: ${android.test.classes}
+ resources:
+ resource: {directory: '${basedir}/src/test/resources'}
+ goals: [copy-resources]
+ id: copy-test-resources-for-android
+ inherited: true
+ phase: process-test-resources
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '2.7'
+ - artifactId: maven-patch-plugin
+ configuration: {patchDirectory: '${basedir}/src/patches/android/', targetDirectory: '${android.src}',
+ skipApplication: 'false', strip: '4'}
+ executions:
+ - configuration: {patchTrackingFile: '${project.build.directory}/android/patches-applied.txt',
+ naturalOrderProcessing: 'true'}
+ goals: [apply]
+ id: android-patches
+ inherited: true
+ phase: process-sources
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '1.2'
+ - artifactId: maven-antrun-plugin
+ executions:
+ - configuration:
+ target:
+ javac: {}
+ goals: [run]
+ id: build-for-android
+ inherited: true
+ phase: compile
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: '1.8'
+ - artifactId: maven-surefire-plugin
+ executions:
+ - configuration: {classesDirectory: '${android.classes}', reportsDirectory: '${project.build.directory}/android/surefire-reports',
+ testClassesDirectory: '${android.test.classes}', testFailureIgnore: 'true'}
+ goals: [test]
+ id: test-android
+ inherited: true
+ phase: test
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ - artifactId: maven-jar-plugin
+ executions:
+ - configuration: {classesDirectory: '${android.classes}', classifier: android}
+ goals: [jar]
+ id: package-android-jar
+ inherited: true
+ phase: package
+ priority: 0
+ extensions: false
+ groupId: org.apache.maven.plugins
+ inherited: true
+ id: android
+ properties: {android.test.classes: '${project.build.directory}/android/test-classes/',
+ android.classes: '${project.build.directory}/android/classes/', android.src: '${project.build.directory}/android/src/'}
+ source: pom
+properties: {project.scm.id: bitbucket, project.build.sourceEncoding: UTF-8}
+reporting:
+ excludeDefaults: false
+ plugins:
+ - artifactId: maven-changes-plugin
+ configuration: {issueLinkTemplate: 'https://bitbucket.org/asomov/snakeyaml/issues/%ISSUE%'}
+ groupId: org.apache.maven.plugins
+ inherited: true
+ reportSets:
+ - id: default
+ inherited: true
+ reports: [changes-report]
+ version: '2.11'
+ - artifactId: maven-surefire-report-plugin
+ configuration: {showSuccess: 'true'}
+ groupId: org.apache.maven.plugins
+ inherited: true
+ version: 2.18.1
+ - artifactId: cobertura-maven-plugin
+ configuration:
+ formats: {format: xml}
+ groupId: org.codehaus.mojo
+ inherited: true
+ version: '2.6'
+ - artifactId: maven-javadoc-plugin
+ groupId: org.apache.maven.plugins
+ inherited: true
+ reportSets:
+ - configuration: {doctitle: 'API for ${project.name} ${project.version}', windowtitle: 'API
+ for ${project.name} ${project.version}', testDoctitle: 'Test API for ${project.name}
+ ${project.version}', testWindowtitle: 'Test API for ${project.name} ${project.version}'}
+ id: html
+ inherited: true
+ reports: [javadoc]
+ version: 2.10.1
+scm: {connection: 'scm:hg:http://bitbucket.org/asomov/snakeyaml', developerConnection: 'scm:hg:https://bitbucket.org/asomov/snakeyaml',
+ tag: HEAD, url: 'https://bitbucket.org/asomov/snakeyaml/src'}
+url: http://www.snakeyaml.org
+version: 1.17-SNAPSHOT